/*
 * @Author: zc
 * @description 业务管理-市民画像
 */
import request from '@/utils/request';
/**
 * @description 市民画像列表
 * @param {object} params
 */
export const citizenList = (params: object) => {
    return request({
        url: `/api/v1/Order/citizen/list`,
        method: 'get',
        params
    });
};
/**
 * @description 新增市民画像
 * @param {object} data
 */
export const citizenAdd = (data: object) => {
    return request({
        url: `/api/v1/Order/citizen`,
        method: 'post',
        data
    });
};
/**
 * @description 修改市民画像
 * @param {object} data
 */
export const citizenUpdate = (data: object) => {
    return request({
        url: `/api/v1/Order/citizen`,
        method: 'put',
        data
    });
};
/**
 * @description 删除市民画像
 * @param {object} data
 */
export const citizenDelete = (data: object) => {
    return request({
        url: `/api/v1/Order/citizen`,
        method: 'delete',
        data
    });
};
/**
 * @description 获取市民信息详情
 * @param {string} id
 */
export const citizenDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/citizen/${id}`,
        method: 'get'
    });
};
/**
 * @description 获取市民信息详情
 * @param {string} phone
 */
export const citizenDetailByPhone = (phone: string) => {
    return request({
        url: `/api/v1/Order/citizen_phone/${phone}`,
        method: 'get'
    });
};
/**
 * @description 新增市民标签
 * @param {object} data
 */
export const citizenLabelAdd = (data: object) => {
    return request({
        url: `/api/v1/Order/citizen_label`,
        method: 'post',
        data
    });
};
/**
 * @description 删除市民标签
 * @param {object} data
 */
export const citizenLabelDelete = (data: object) => {
    return request({
        url: `/api/v1/Order/citizen_label`,
        method: 'delete',
        data
    });
};
/**
 * @description 查询市民标签列表
 * @param {object} params
 */
export const citizenLabelList = (params?: object) => {
    return request({
        url: `/api/v1/Order/citizen_label/list`,
        method: 'get',
        params
    });
};